Name: fxruby
Version: 1.2
Release: alt6.cvs20040701
Summary: The Ruby language bindings for the FOX GUI toolkit.
Summary(ru_RU.CP1251): Ruby     FOX.
Summary(be_BY): Ruby     FOX.
License: LGPL
Group: Development/Ruby
Url: http://sourceforge.net/projects/fxruby
Source: fxruby.tar.bz2
Source2: fxruby-class-diagram.png.bz2
Source3: fxruby-1.2.0.gemspec.bz2

Requires: XFree86-libs XFree86-locales libfox ruby >= 1.8.1 rubygems

# Automatically added by buildreq on Mon Jul 05 2004
BuildRequires: XFree86-devel XFree86-libs docbook-dtds docbook-style-xsl gcc-c++ libGLU-devel libfox-devel libfxscintilla-devel libjpeg-devel libpng-devel libruby-devel libstdc++-devel ruby-stdlibs swig xml-common xmlto xsltproc zlib-devel ruby

%description
I am pleased to announce the latest release of FXRuby, the Ruby language bindings for the FOX GUI toolkit. FOX is a C++-based toolkit for developing graphical user interfaces easily and effectively. It offers a wide, and growing, collection of widgets, and provides state-of-the-art facilities such as drag-and-drop, selection, as well as OpenGL widgets for 3-D graphical manipulation. FOX also implements icons, images, and user-convenience features such as status line help and tooltips.

%package doc
Summary: Documentation for the FXRuby
Summary(ru_RU.CP1251):   FXRuby
Summary(be_BY):   FXRuby
Group: Development/Ruby
Requires: %name
AutoReq: no

%description doc
This package contains documentation for the FXRuby.

%package test
Summary: Tests for the FXRuby
Summary(ru_RU.CP1251):   FXRuby
Summary(be_BY):   FXRuby
Group: Development/Ruby
Requires: %name = %version-%release
AutoReq: no

%description test
This package contains tests for the FXRuby.

%prep
%setup -n FXRuby
%__cp %SOURCE2 .
%__cp %SOURCE3 .
bunzip2 fxruby-class-diagram.png.bz2
bunzip2 fxruby-1.2.0.gemspec.bz2

%build
ruby setversions.rb `rpm -qi libfox|egrep ^Version|ruby -pe "sub(/^Version *: ([\d.]+).*/,'\1')"` %{version}

cd swig-interfaces; touch dependencies; make depend; make;cd ..

ruby install.rb config  --prefix=%buildroot/usr \
			--site-ruby=%buildroot/%ruby_sitelibdir \
			--so-dir=%buildroot/%ruby_sitearchdir \
			-- --with-fox-include=/usr/include/fox-1.2 \
			--with-fxscintilla-include=/usr/include/fxscintilla
ruby install.rb setup

cd doc; xmlto html-nochunks --skip-validation book.xml; cd ..

#rdoc documentation
cd rdoc-sources
rdoc --op ../doc/api --main README.rdoc README.rdoc *.rb \
        ../lib/fox/calendar.rb \
        ../lib/fox/chore.rb \
        ../lib/fox/core.rb \
        ../lib/fox/glgroup.rb \
        ../lib/fox/glshapes.rb \
        ../lib/fox/input.rb \
        ../lib/fox/iterators.rb \
        ../lib/fox/responder2.rb \
        ../lib/fox/scintilla.rb \
        ../lib/fox/signal.rb \
        ../lib/fox/timeout.rb \
        ../lib/fox/undolist.rb \
        ../lib/fox/version.rb
cd ..


%install
ruby install.rb install
docdir=%buildroot/%_docdir/%name-%version
mkdir -p $docdir/doc
cp doc/book.html $docdir/doc
cp -r doc/images $docdir/doc
cp -r examples $docdir
cp -r tests $docdir
cp ANNOUNCE INSTALL LICENSE README README.win32.txt fxruby-class-diagram.png $docdir

# hack to simulate rubygem install
mkdir -p %buildroot/usr/lib/ruby/gems/1.8/specifications/
cp fxruby-1.2.0.gemspec %buildroot/usr/lib/ruby/gems/1.8/specifications/
mkdir -p %buildroot/usr/lib/ruby/gems/1.8/gems/fxruby-1.2.0
cd %buildroot/usr/lib/ruby/gems/1.8/gems/fxruby-1.2.0
ln -s %ruby_sitearchdir/fox.so fox.so
ln -s %ruby_sitelibdir/fox fox

%files
%_docdir/%name-%version/ANNOUNCE 
%_docdir/%name-%version/INSTALL
%_docdir/%name-%version/LICENSE 
%_docdir/%name-%version/README 
%_docdir/%name-%version/README.win32.txt
/usr/lib/ruby/*
%ruby_sitelibdir/*

%files doc
%_docdir/%name-%version/fxruby-class-diagram.png
%_docdir/%name-%version/doc/*
%_docdir/%name-%version/examples/*

%files test
%_docdir/%name-%version/tests/*

%changelog
* Thu Jul 01 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.2-alt6.cvs20040701
- New version
- Build with libfox-1.2
- Add rubygems support

* Sat May 15 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.28-alt5.cvs20040515
- New version

* Wed Mar 10 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt4.cvs20040131
- Fix documentation generation 

* Fri Feb 13 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt3.cvs20040131
- Requires and BuildRequires fixed
- add classes diagram

* Sat Jan 31 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt2.cvs20040131
- cvs20040131 stable snapshot
- Build with fxscintilla
- New rdoc documentation

* Sun Jan 04 2004 Kirill A. Shutemov <kas@altlinux.ru> 1.0.27-alt1
- First build for ALT project
